/**
 *  获取dom
 * @param id
 * @returns {Element}
 */
function $(id) {
    return document.getElementById(id);
}

function logger(msg) {
    console.log(msg);
}

/**
 * 显示答案
 */
function showAnswer() {
    showElemById("answerBox");
}

/**
 * 隐藏答案
 */
function hideAnswer() {
    hideElemById("answerBox");
}


/**
 * 显示
 * @param id
 */
function showElemById(id) {
    var elem = $(id);
    return elem.className.indexOf('hidden') >= 0 && elem.classList.remove('hidden');
}

/**
 * 隐藏
 * @param id
 */
function hideElemById(id) {
    var elem = $(id);
    return elem.className.indexOf('hidden') == -1 && elem.classList.add('hidden');
}


/**
 * 改变某个元素的 innerHTML
 * @param id
 * @param html
 */
function changeInnerHtml(id, html) {
    $(id).innerHTML = html;
}


var ZsbTiku = {

    /**
     * 初始化
     */
    init: function () {
        logger("------init---------");
        var self = this;
        self.jsObj = {};
        self.jsObj = window.jsObj;
        self.isCanRepeatSel = true;//是否可以更改已选过的选项
        self.question = "";//问题描述
        self.anwser = "";//答案
        self.explan = "";//解析
        if (self.jsObj) {
            self.question = self.jsObj.getQuestion();
            self.anwser = self.jsObj.getAnwser();
            self.explan = self.jsObj.getExplan();
        } else {
            self.question = "问题描述{inputblank}问题描述{inputblank}问题描述问题描述问题描述问题描述{inputblank}问题描述问题描述问题描述问题描述{inputblank}";
            self.anwser = 'B';
            self.explan = "解析的内容";
        }

        logger("tikuType:" + self.tikuType);

        self.setQuestionDesc(self.question);
        self.setAnswerData();
        self.bind();
    },


    /**
     * 设置问题描述
     * @param str
     */
    setQuestionDesc: function (str) {

        var reg = /{(select|SELECT)(.*?)}/g;
        var matchArray = str.match(reg);
        if (matchArray) {//匹配阅读理解的选择
            //logger("--------matchArray:-----" + matchArray);
            for (var i = 0; i < matchArray.length; i++) {
                var matchItem = matchArray[i];
                //logger("匹配的:" + matchItem);
                var tikuNum = matchItem.substring(matchItem.indexOf("_") + 1, matchItem.lastIndexOf("_"));
                var start = matchItem.lastIndexOf("_");
                var end = matchItem.indexOf("}");
                var tikuId = matchItem.substring(start + 1, end);
                ZsbTiku.selectIds.push(tikuId);
                logger("--tikuNum---:" + tikuNum + "--tikuId---:" + tikuId);
                var btnId = "select_btn_" + tikuId;
                var buttonStr = "<button id=\"" + btnId + "\"" + " class=\"radius-button\" onclick=\"selectBtnClick(" + tikuId + ")\">" + tikuNum + "</button>";
                str = str.replace(matchItem, buttonStr);
            }
        }
        reg = /{(inputblank|INPUTBLANK)(.*?)}/g;
        matchArray = str.match(reg);
        if (matchArray) {//匹配 填空题目
            logger("--------matchArray:-----" + matchArray);
            for (var i = 0; i < matchArray.length; i++) {
                var matchItem = matchArray[i];
                logger("匹配的:" + matchItem);
                var inputStr = "<input type='text'/>";
                str = str.replace(matchItem, inputStr);
            }
        }
        //logger("---str---:" + str);
        changeInnerHtml("questionDesc", str);

    },


    /**
     * 设置答案区域
     */
    setAnswerData: function () {
        changeInnerHtml("rightAnswer", ZsbTiku.anwser);
        changeInnerHtml("explanContent", ZsbTiku.explan);
    },
    /**
     * 绑定事件
     */
    bind: function () {
        // 对答案
        $('btn_check_answer').onclick = function () {
            showElemById("answerBox")
        };


    },

};

/**
 *
 */
window.onload = function () {
    logger("-----onload---------");
    ZsbTiku.init();
}
